package com.qqchen.deploy.backend.workflow.enums;

import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 审批人类型枚举
 *
 * @author qqchen
 * @date 2025-10-23
 */
@Getter
@AllArgsConstructor
public enum ApproverTypeEnum {

    /**
     * 指定用户
     */
    USER("USER", "指定用户"),

    /**
     * 指定角色
     */
    ROLE("ROLE", "指定角色"),

    /**
     * 指定部门
     */
    DEPARTMENT("DEPARTMENT", "指定部门"),

    /**
     * 流程变量
     */
    VARIABLE("VARIABLE", "流程变量");

    @JsonValue
    private final String code;
    private final String description;
}

